cd "C:\Users\reinecke\Dropbox\Hansen_Reinecke_Schmerer (1)"

use "covid_data_fin.dta", clear

***Table A.1: "Descriptive Statistics"***
estpost sum dlog_deaths dlog_cases health_without_eld_effect_2 ln_HE s_HAQI log_w_health rel_private ln_GDP_pc openness eld stringency C1 C2 C3 C4 C5 C6 C7 C8
esttab using "C:\Users\reinecke\Dropbox\Hansen_Reinecke_Schmerer (1)\Tables\table_1.tex", cells ((count(label(Obs)) mean(label(Mean)) sd(label(Standard Deviation)) min(label(Min))  max(label(Max))))


	
***Table 1: "Benchmark regression results"***
sort country1 week

reg dlog_cases ln_GDP_pc openness eld health_without_eld_effect_2 L2.stringency_index i.week, robust
est sto d1

xtreg dlog_cases ln_GDP_pc openness eld health_without_eld_effect_2 L2.stringency_index i.week, fe robust
est sto d3

reg dlog_deaths L2.dlog_cases ln_GDP_pc openness eld health_without_eld_effect_2 L4.stringency_index i.week, robust
est sto d4

xtreg dlog_deaths L2.dlog_cases ln_GDP_pc openness eld health_without_eld_effect_2 L4.stringency_index i.week, fe robust
est sto d6


esttab d1 d3 d4 d6 using "C:\Users\reinecke\Dropbox\Hansen_Reinecke_Schmerer (1)\Tables\table_2.tex", cells(b(star fmt(3)) se(par fmt(2))) style(tex) legend label varlab(_cons constant) starlevels(* 0.10 ** 0.05 *** 0.010) stats(N r2 r2_a, labels("Number of obs." "R within" "adj. R"))


***Table A.3-A.6 - Applying differet measures of public healthcare system quality
	*a) A.3 unadjusted health expenditures
	sort country1 week

	reg dlog_cases ln_GDP_pc openness eld ln_HE L2.stringency_index i.week, robust
	est sto d1

	xtreg dlog_cases ln_GDP_pc openness eld ln_HE L2.stringency_index i.week, fe robust
	est sto d3

	reg dlog_deaths L2.dlog_cases ln_GDP_pc openness eld ln_HE L4.stringency_index i.week, robust
	est sto d4

	xtreg dlog_deaths L2.dlog_cases ln_GDP_pc openness eld ln_HE L4.stringency_index i.week, fe robust
	est sto d6

	esttab d1 d3 d4 d6 using "C:\Users\reinecke\Dropbox\Hansen_Reinecke_Schmerer (1)\Tables\table_A3.tex", cells(b(star fmt(3)) se(par fmt(2))) style(tex) legend label varlab(_cons constant) starlevels(* 0.10 ** 0.05 *** 0.010) stats(N r2 r2_a, labels("Number of obs." "R within" "adj. R"))


	*b) A.4 weighted health expenditures by share of elderly
	sort country1 week

	reg dlog_cases L2.stringency_index log_w_health ln_GDP_pc openness eld  i.week, robust
	est sto d1

	xtreg dlog_cases L2.stringency_index log_w_health ln_GDP_pc openness eld i.week, fe robust
	est sto d3

	reg dlog_deaths L2.dlog_cases L4.stringency_index log_w_health ln_GDP_pc openness eld i.week, robust
	est sto d4

	xtreg dlog_deaths L2.dlog_cases L4.stringency_index log_w_health ln_GDP_pc openness eld i.week, fe robust
	est sto d6

	esttab d1 d3 d4 d6 using "C:\Users\reinecke\Dropbox\Hansen_Reinecke_Schmerer (1)\Tables\table_A4.tex", cells(b(star fmt(3)) se(par fmt(2))) style(tex) legend label varlab(_cons constant) starlevels(* 0.10 ** 0.05 *** 0.010) stats(N r2 r2_a, labels("Number of obs." "R within" "adj. R"))

	
	*c) A.5 private/public healthcare axpenditures
	sort country1 week

	reg dlog_cases L2.stringency_index rel_private ln_GDP_pc openness eld  i.week, robust
	est sto d1

	xtreg dlog_cases L2.stringency_index rel_private ln_GDP_pc openness eld i.week, fe robust
	est sto d3

	reg dlog_deaths L2.dlog_cases L4.stringency_index rel_private ln_GDP_pc openness eld i.week, robust
	est sto d4

	xtreg dlog_deaths L2.dlog_cases L4.stringency_index rel_private ln_GDP_pc openness eld i.week, fe robust
	est sto d6

	esttab d1 d3 d4 d6 using "C:\Users\reinecke\Dropbox\Hansen_Reinecke_Schmerer (1)\Tables\table_A5.tex", cells(b(star fmt(3)) se(par fmt(2))) style(tex) legend label varlab(_cons constant) starlevels(* 0.10 ** 0.05 *** 0.010) stats(N r2 r2_a, labels("Number of obs." "R within" "adj. R"))

	
	
	*d) A.6 Healthcare Access & Quality Index
	sort country1 week

	reg dlog_cases L2.stringency_index s_HAQI ln_GDP_pc openness eld  i.week, robust
	est sto d1

	xtreg dlog_cases L2.stringency_index s_HAQI ln_GDP_pc openness eld i.week, fe robust
	est sto d3

	reg dlog_deaths L2.dlog_cases L4.stringency_index s_HAQI ln_GDP_pc openness eld i.week, robust
	est sto d4

	xtreg dlog_deaths L2.dlog_cases L4.stringency_index s_HAQI ln_GDP_pc openness eld i.week, fe robust
	est sto d6

	esttab d1 d3 d4 d6 using "C:\Users\reinecke\Dropbox\Hansen_Reinecke_Schmerer (1)\Tables\table_A6.tex", cells(b(star fmt(3)) se(par fmt(2))) style(tex) legend label varlab(_cons constant) starlevels(* 0.10 ** 0.05 *** 0.010) stats(N r2 r2_a, labels("Number of obs." "R within" "adj. R"))

	

***Figures 3 - 7: "Interaction effects between strength of lockdown and public health care system"***
sort country1 week
	*a) adjsuted health expenditures
	reg dlog_deaths L2.dlog_cases health_without_eld_effect_2 L4.stringency_index c.health_without_eld_effect_2#L4.c.stringency_index ln_GDP_pc openness eld i.week , robust
	est sto d1

	xtreg dlog_deaths L2.dlog_cases health_without_eld_effect_2 L4.stringency_index c.health_without_eld_effect_2#L4.c.stringency_index ln_GDP_pc openness eld i.week, fe robust
	est sto d2

	esttab d1 d2 using "C:\Users\reinecke\Dropbox\Hansen_Reinecke_Schmerer (1)\Tables\adjusted_HE.tex", cells(b(star fmt(3)) se(par fmt(2))) style(tex) legend label varlab(_cons constant) starlevels(* 0.10 ** 0.05 *** 0.010) stats(N r2 r2_a, labels("Number of obs." "R within" "adj. R"))

	*b) actual health expenditures
	reg dlog_deaths L2.dlog_cases ln_HE L4.stringency_index c.ln_HE#L4.c.stringency_index ln_GDP_pc openness eld i.week , robust
	est sto d3

	xtreg dlog_deaths L2.dlog_cases ln_HE L4.stringency_index c.ln_HE#L4.c.stringency_index ln_GDP_pc openness eld i.week, fe robust
	est sto d4
	
	esttab d3 d4 using "C:\Users\reinecke\Dropbox\Hansen_Reinecke_Schmerer (1)\Tables\actual_HE.tex", cells(b(star fmt(3)) se(par fmt(2))) style(tex) legend label varlab(_cons constant) starlevels(* 0.10 ** 0.05 *** 0.010) stats(N r2 r2_a, labels("Number of obs." "R within" "adj. R"))


	*c) weighted health expenditures
	reg dlog_deaths L2.dlog_cases log_w_health L4.stringency_index c.log_w_health#L4.c.stringency_index ln_GDP_pc openness eld i.week , robust
	est sto d5

	xtreg dlog_deaths L2.dlog_cases log_w_health L4.stringency_index c.log_w_health#L4.c.stringency_index ln_GDP_pc openness eld i.week, fe robust
	est sto d6
	
	esttab d5 d6 using "C:\Users\reinecke\Dropbox\Hansen_Reinecke_Schmerer (1)\Tables\weighted_HE.tex", cells(b(star fmt(3)) se(par fmt(2))) style(tex) legend label varlab(_cons constant) starlevels(* 0.10 ** 0.05 *** 0.010) stats(N r2 r2_a, labels("Number of obs." "R within" "adj. R"))

	
	*d) private relative to public HE
	reg dlog_deaths L2.dlog_cases rel_private L4.stringency_index c.rel_private#L4.c.stringency_index ln_GDP_pc openness eld i.week , robust
	est sto d7

	xtreg dlog_deaths L2.dlog_cases rel_private L4.stringency_index c.rel_private#L4.c.stringency_index ln_GDP_pc openness eld i.week, fe robust
	est sto d8
	
	esttab d7 d8 using "C:\Users\reinecke\Dropbox\Hansen_Reinecke_Schmerer (1)\Tables\private_HE.tex", cells(b(star fmt(3)) se(par fmt(2))) style(tex) legend label varlab(_cons constant) starlevels(* 0.10 ** 0.05 *** 0.010) stats(N r2 r2_a, labels("Number of obs." "R within" "adj. R"))


	*e) Healthcare access and Quality Index
	reg dlog_deaths L2.dlog_cases s_HAQI L4.stringency_index c.s_HAQI#L4.c.stringency_index ln_GDP_pc openness eld i.week , robust
	est sto d9

	xtreg dlog_deaths L2.dlog_cases s_HAQI L4.stringency_index c.s_HAQI#L4.c.stringency_index ln_GDP_pc openness eld i.week, fe robust
	est sto d10

	esttab d9 d10 using "C:\Users\reinecke\Dropbox\Hansen_Reinecke_Schmerer (1)\Tables\HAQI.tex", cells(b(star fmt(3)) se(par fmt(2))) style(tex) legend label varlab(_cons constant) starlevels(* 0.10 ** 0.05 *** 0.010) stats(N r2 r2_a, labels("Number of obs." "R within" "adj. R"))

	
	*f) GDP p.c.
	reg dlog_deaths L2.dlog_cases ln_GDP_pc L4.stringency_index c.ln_GDP_pc#L4.c.stringency_index ln_HE openness eld i.week , robust
	est sto d11

	xtreg dlog_deaths L2.dlog_cases ln_GDP_pc L4.stringency_index c.ln_GDP_pc#L4.c.stringency_index ln_HE openness eld i.week, fe robust
	est sto d12

	esttab d11 d12 using "C:\Users\reinecke\Dropbox\Hansen_Reinecke_Schmerer (1)\Tables\GDP_pc.tex", cells(b(star fmt(3)) se(par fmt(2))) style(tex) legend label varlab(_cons constant) starlevels(* 0.10 ** 0.05 *** 0.010) stats(N r2 r2_a, labels("Number of obs." "R within" "adj. R"))

	
	***Marginsplots
	*a) using by demographics corrected health expenditures
	xtreg dlog_deaths L2.dlog_cases L4.stringency_index c.health_without_eld_effect_2#L4.c.stringency_index ln_GDP_pc openness eld i.week, fe robust
	margins, dydx(L4.stringency_index) at(health_without_eld_effect_2=(1.15(1)8))
	marginsplot, recast(line) plot1opts(lcolor(gs8)) ciopt(color(black%20)) recastci(rarea) title("Marginal Effect of Stringency Index conditional on corrected health expenditures")
	
	*b) using actual health expenditures
	xtreg dlog_deaths L2.dlog_cases L4.stringency_index c.ln_HE#L4.c.stringency_index ln_GDP_pc openness eld i.week, fe robust
	margins, dydx(L4.stringency_index) at(ln_HE=(1.7(1)8))
	marginsplot, recast(line) plot1opts(lcolor(gs8)) ciopt(color(black%20)) recastci(rarea) title("Marginal Effect of Stringency Index conditional on actual health expenditures")
	
	*c) using weighted health expenditures
	xtreg dlog_deaths L2.dlog_cases L4.stringency_index c.log_w_health#L4.c.stringency_index ln_GDP_pc openness eld i.week, fe robust
	margins, dydx(L4.stringency_index) at(log_w_health=(1.5(1)9))
	marginsplot, recast(line) plot1opts(lcolor(gs8)) ciopt(color(black%20)) recastci(rarea) title("Marginal Effect of Stringency Index conditional on weighted health expenditures")

	*d) using private/public health expenditures
	xtreg dlog_deaths L2.dlog_cases L4.stringency_index c.rel_private#L4.c.stringency_index ln_GDP_pc openness eld i.week, fe robust
	margins, dydx(L4.stringency_index) at(rel_private=(0.05(1)6))
	marginsplot, recast(line) plot1opts(lcolor(gs8)) ciopt(color(black%20)) recastci(rarea) title("Marginal Effect of Stringency Index conditional on private relative to public health expenditures")

	*e) using HAQI
	xtreg dlog_deaths L2.dlog_cases L4.stringency_index c.s_HAQI#L4.c.stringency_index ln_GDP_pc openness eld i.week, fe robust
	margins, dydx(L4.stringency_index) at(s_HAQI=(0.35(0.1)1))
	marginsplot, recast(line) plot1opts(lcolor(gs8)) ciopt(color(black%20)) recastci(rarea) title("Marginal Effect of Stringency Index conditional on Healthcare Access & Quality Index")

	*f) using GDP p.c.
	xtreg dlog_deaths L2.dlog_cases L4.stringency_index c.ln_GDP_pc#L4.c.stringency_index ln_HE openness eld i.week, fe robust
	margins, dydx(L4.stringency_index) at(ln_GDP_pc=(6.5(1)12))
	marginsplot, recast(line) plot1opts(lcolor(gs8)) ciopt(color(black%20)) recastci(rarea) title("Marginal Effect of Stringency Index conditional on Healthcare Access & Quality Index")


***Table A2: "Regression results including 8 lockdown variables separately"
sort country1 week

xtreg dlog_cases L2.C1 L2.C2 L2.C3 L2.C4 L2.C5 L2.C6 L2.C7 L2.C8 i.week, fe robust
est sto d1

xtreg dlog_deaths L2.dlog_cases L4.C1 L4.C2 L4.C3 L4.C4 L4.C5 L4.C6 L4.C7 L4.C8 i.week, fe robust
est sto d2

esttab d1 d2 using "C:\Users\reinecke\Dropbox\Hansen_Reinecke_Schmerer (1)\Tables\table_A1.tex", cells(b(star fmt(3)) se(par fmt(2))) style(tex) legend label varlab(_cons constant) starlevels(* 0.10 ** 0.05 *** 0.010) stats(N r2 r2_a, labels("Number of obs." "R within" "adj. R"))



***Table 2: "Compare interactions effects between lockdown and diverse healthcare expenditure measures***
	*1. generate interaction variables
		*a) adjusted public health expenditures
			gen inter_C1_adjusted=C1*health_without_eld_effect_2
			gen inter_C2_adjusted=C2*health_without_eld_effect_2
			gen inter_C3_adjusted=C3*health_without_eld_effect_2
			gen inter_C4_adjusted=C4*health_without_eld_effect_2
			gen inter_C6_adjusted=C6*health_without_eld_effect_2
			
		*b) actual public health expenditures
			gen inter_C1_HE=C1*ln_HE
			gen inter_C2_HE=C2*ln_HE
			gen inter_C3_HE=C3*ln_HE
			gen inter_C4_HE=C4*ln_HE
			gen inter_C6_HE=C6*ln_HE
			
		*c) weighted public health expenditures
			gen inter_C1_weighted=C1*log_w_health
			gen inter_C2_weighted=C2*log_w_health
			gen inter_C3_weighted=C3*log_w_health
			gen inter_C4_weighted=C4*log_w_health
			gen inter_C6_weighted=C6*log_w_health
			
		*d) private relative to public health expenditures
			gen inter_C1_private=C1*rel_private
			gen inter_C2_private=C2*rel_private
			gen inter_C3_private=C3*rel_private
			gen inter_C4_private=C4*rel_private
			gen inter_C6_private=C6*rel_private
		
		*e) Healthcare Access & Quality Index
			gen inter_C1_HAQI=C1*s_HAQI
			gen inter_C2_HAQI=C2*s_HAQI
			gen inter_C3_HAQI=C3*s_HAQI
			gen inter_C4_HAQI=C4*s_HAQI
			gen inter_C6_HAQI=C6*s_HAQI
			
			
		*f) GDP p.c.
			gen inter_C1_GDP=C1*ln_GDP_pc
			gen inter_C2_GDP=C2*ln_GDP_pc
			gen inter_C3_GDP=C3*ln_GDP_pc
			gen inter_C4_GDP=C4*ln_GDP_pc
			gen inter_C6_GDP=C6*ln_GDP_pc



	*2) conduct country fixed effects regressions
	sort country1 week
	
		xtreg dlog_deaths L4.C1 L4.C2 L4.C3 L4.C4 L4.C6 L4.inter_C1_adjusted L4.inter_C2_adjusted L4.inter_C3_adjusted L4.inter_C4_adjusted  L4.inter_C6_adjusted i.week, fe robust
		est sto d1
		
		xtreg dlog_deaths L4.C1 L4.C2 L4.C3 L4.C4 L4.C6 L4.inter_C1_HE L4.inter_C2_HE L4.inter_C3_HE L4.inter_C4_HE  L4.inter_C6_HE i.week, fe robust
		est sto d2
		
		xtreg dlog_deaths L4.C1 L4.C2 L4.C3 L4.C4 L4.C6 L4.inter_C1_weighted L4.inter_C2_weighted L4.inter_C3_weighted L4.inter_C4_weighted  L4.inter_C6_weighted i.week, fe robust
		est sto d3
		
		xtreg dlog_deaths L4.C1 L4.C2 L4.C3 L4.C4 L4.C6 L4.inter_C1_private L4.inter_C2_private L4.inter_C3_private L4.inter_C4_private  L4.inter_C6_private i.week, fe robust
		est sto d4
		
		xtreg dlog_deaths L4.C1 L4.C2 L4.C3 L4.C4 L4.C6 L4.inter_C1_HAQI L4.inter_C2_HAQI L4.inter_C3_HAQI L4.inter_C4_HAQI  L4.inter_C6_HAQI i.week, fe robust
		est sto d5

		xtreg dlog_deaths L4.C1 L4.C2 L4.C3 L4.C4 L4.C6 L4.inter_C1_GDP L4.inter_C2_GDP L4.inter_C3_GDP L4.inter_C4_GDP  L4.inter_C6_GDP i.week, fe robust
		est sto d6

		esttab d1 d2 d3 d4 d5 d6 using "C:\Users\reinecke\Dropbox\Hansen_Reinecke_Schmerer (1)\Tables\table_4.tex", cells(b(star fmt(3)) se(par fmt(2))) style(tex) legend label varlab(_cons constant) starlevels(* 0.10 ** 0.05 *** 0.010) stats(N r2 r2_a, labels("Number of obs." "R within" "adj. R"))

